What's New

bar.gif (954 Bytes)
logo.png (13404 Bytes)

Version 1.4

  • The execution of some standard tasks has been added;
  • The clearing of the temporary directories has been added;
  • The clearing of the "Recycle Bin" directories has been added;
  • The clearing of the "Recent Documents" menu items has been added;
  • The pausing of the printer jobs has been added;
  • The purging of the printer jobs has been added;
  • Internet cache cleanup has been added;
  • Internet history cleanup has been added;
  • Internet cookies cleanup has been added.

Version 1.3 Beta

  • An automatic Shutdown acceleration option has been added;
  • A localization engine has been added;
  • Password protection has been added;
  • Changing the layout of a folder (and moving the contents of an old folder) are now
    possible;
  • Integration with HSLAB Force Down has been added;
  • The user interface has been considerably improved.

Version 1.2 Beta

  • internal release.

Version 1.1 Beta

  • first public release.

See also:
Register Shutdown Folder Online
What is it

bar.gif (954 Bytes)

© 1998-2003, Handy Software Lab Co, All Rights Reserved.


What is It?

bar.gif (954 Bytes)
logo.png (13404 Bytes)

"It's missing from Windows!" ™

HSLAB Shutdown Folder is a utility which provides a service analogous to the Windows 9x/NT/2000/XP "Startup" folder. It launches applications, command files (*.bat,*.cmd) and symbolic links placed into a "Shutdown Folder" folder just before Windows shuts down. The program also accelerates Windows shutdown (as does HSLAB Force Down). HSLAB Shutdown Folder is perfect for any Windows user or network administrator who wants to ensure that users properly log off of the network and that at shutdown the necessary operations are executed. Examples of such operations might be backup of important data, deletion of unnecessary temporary files, synchronization of data with mobile systems, and many others. The program is indispensable in a corporate environment, providing, as it does the assurance of uniformity of logoff or shutdown of systems without user-attention. HSLAB Shutdown Folder is highly configurable and makes it possible to execute the following operations before closing Windows:

  • detection of issuance of a command to exit Windows;
  • automatic determination of type of shutdown (basic shutdown, restart, logoff, etc.);
  • change of type of shutdown;
  • execution (manual or automatic) of an accelerated shutdown or restart;
  • launch of applications, command files(*.bat,*.cmd) and symbolic links;
  • execution of the "Standard Tasks". " Standard Tasks " it is a set of the tasks, which allow to fulfil clearing the system of unnecessary files and to delete tracks of your operation with the computer (temporary directories cleanup, devastating Recycle Bin, internet history cleanup and much more).

See also:
Register Shutdown Folder Online
System Requirements


System Requirements

bar.gif (954 Bytes)
logo.png (13404 Bytes)

Operating system:
Microsoft® Windows™ 98/Me/NT/2000/XP, Internet Explorer v 5.0 or higher. Local area network (or dial up connection) to Internet, TCP/IP is not required, but recommended.

Dynamic memory (RAM):
Corresponds to the requirements for Microsoft® Windows™ systems.

Disk space:
2 Mbytes for the program and minimum of 3 Mbytes for installation.

See also:
Register Shutdown Folder Online


How it works?

bar.gif (954 Bytes)
logo.png (13404 Bytes)

The basic operating principle of the program consists of interception of the Windows system shutdown command and execution of operations determined by the user (program startups).

After completion of the program startups, a normal or accelerated shutdown is executed. The user can place in the "Start-> Programs->Shutdown Folder" any applications, batch files or symbolic links (shortcuts) to be launched during shutdown.

The program is modular and consists of two modules:

  • Shutdown Folder Administrator - sets up or configures all options for all
    shtudown-contingent applications, and permits manual starting/stopping of the
    other module, the Shutdown Folder Service;
  • Shutdown Folder Service - recognizes and intercepts the Windows shutdown command and launches the applications (or any executable files), specified by the user using the Shutdown Folder Administrator module. After intercepting and killing the Windows system shutdown command, HSLAB Shutdown Folder inspects a folder called the "Shutdown Folder" (this folder is installed by the program at first use in the "Start->Programs" menu, where there is a folder "StartUp") and attempts to launch the executable files found therein. The files can be launched all at once or sequentially (one by one). The program can wait for completion of the launched programs or close them without waiting for completion.

See also:
Register Shutdown Folder Online
What is It


HSLAB Shutdown Folder Administrator

Shutdown Folder Administrator

bar.gif (954 Bytes)
logo.png (13404 Bytes)

Shutdown Folder Administrator - sets up or configures all options for all shtudown-contingent applications, and permits manual starting/stopping of the other module, the Shutdown Folder Service.
See also:
Register Shutdown Folder Online
Main Screen
How is works


Main Screen

bar.gif (954 Bytes)
logo.png (13404 Bytes)

This is main program window. From this screen you can use all power of program's
futures.

Window/screen descriptions:

Shutdown Folder Service - This is the main program window. From this screen the user has access to all program functions.

Navigation Buttons (Back, Home, Forward and Help) - these enable the user to move between pages within the program window and to view the reference manual;

Quick Jump Menu - Allows user to quickly jump directly to any given page of the program window;

See-Also Menu - Allows user to execute some additional operations, such as error messages, program registration, input of a registration key, and others;

Apply - Allows user to save your settings;

Close - pressing this button exits and closes Shutdown Folder Administrator.

See also:
Register Shutdown Folder Online
How is works


Untitled Document

Service Status and Options

bar.gif (954 Bytes)
logo.png (13404 Bytes)

Service Status

This picture shows the status of the program. The program can be in three possible statuses:

  • program running, to stop, press "Stop Service" key;
  • program stopped, to start press "Start Service" key;
  • program start or stop pending. The program is in the process of starting or stopping a service.

Enable Shutdown Folder Actions - activates program response to Windows system shutdown command and to initiate applications? from the Shutdown Folder.

AutoStart Service on Windows Startup - causes program to be started automatically at Windows system startup.

Process Shutdown Apps. at Logoff - causes program to start applications from shutdown folder at the log off command.

Accelerate Shutdown Automatically - causes program to automatically accelerate shutdown without prompting for type of shutdown.

See also:
Register Shutdown Folder Online
How is works


Untitled Document

Execution Options

bar.gif (954 Bytes)
logo.png (13404 Bytes)

NOTE: options, listed below are not available in "Lite" version. You can download full-futured version for free from our company site.

Program Execution - this group determines the order of execution of the programs from the shutdown folder. The programs can be started all together or one by one in sequence:

  • Run all together - executes a simultaneous startup of all programs in the Shutdown Folder.
  • Sequential (One-by-One) mode: the programs in the Shutdown Folder are queued and
    executed sequentially, one after the other.

Waiting - this group determines, if necessary, whether to wait for the completion of each program in the execution queue before proceeding.

  • Wait for all programs - specifies to the program to wait for completion of the started
    applications;
  • Do not wait - specifies to the program to not wait for completion of the started
    applications.

Standard Tasks - Set of the standard tasks usually executed before closing of the system.

Execute Before programs - This option allows to setup a priority of execution of the standard tasks. If checkbox is checked, the standard tasks will be executed before start of programs from "Shutdown Folder". Differently standard tasks will be executed after start of programs from "Shutdown Folder".

See also:
Register Shutdown Folder Online
How is works


Untitled Document

Folder Options

bar.gif (954 Bytes)
logo.png (13404 Bytes)

NOTE: options, listed below are not available in "Lite" version. You can download full-futured version for free from our company site.

Shutdown Folder Path - sets the file system path for the shutdown folder. User can select any place for it and change folder name as well;

View or Edit Content - pressing this button enables viewing of the contents of the Shutdown Folder.

Test Run - pressing this button will conduct a test startup of the contents of the "Shutdown Folder" without executing a real shutdown.

See also:
Register Shutdown Folder Online
How is works


Untitled Document

Miscellaneous

bar.gif (954 Bytes)
logo.png (13404 Bytes)

NOTE: options, listed below are not available in "Lite" version. You can download full-futured version for free from our company site.

Interface Language - displays a list of all currently-supported languages and enables selection of the most suitable for the user. If user selects "Auto", the language will be selected based on the language of the operating system under which the program is running. If the language of the operating system at the given moment is not supported by the program, it will be set to English.

Enable Activity Logging - enables logging of all of the program's actions to a log file. This is very useful for debugging, but should not be invoked during normal workflow, because it will produce a huge amount of data which will take up a huge amount of disk space.

Password Protection - allows you to define the password for access to all program's settings. When password has been defined, you have lock with a stranger access to yours program's settings. If you have forgotten the password, there is no way to restore it. You should reinstall the program for reset of the password. Thus others yours settings will not be changed.

See also:
Register Shutdown Folder Online
How is works


HSLAB Shutdown Folder Service

Shutdown Folder Service

bar.gif (954 Bytes)
logo.png (13404 Bytes)

Shutdown Folder Service - The main program intended for interception of the command of shutdown and start of applications(or any executable files), given by the user. After interception and aborting of the system command of shutdown HSLAB Shutdown Folder views a folder "Shutdown Folder" (this folder creates by the program at the first start in "Start- > Programs" menu, there where there is a folder "StartUp") and tries to start files which are taking place there. The files can be started all together or one behind other. The program can wait for completion of the started programs or to execute closing without waiting of their completion.
When system shutdown was started, user will be prompted about shutdown type:

Action - This group allows the user to select a type of shutdown:

  • Force Shut Down - Specifies whether applications with unsaved changes are to be forcibly closed. If this parameter is used, such applications are closed. If this parameter is not used, a dialog box is displayed prompting the user to close the applications. This can cause the applications to lose data. Therefore, you should only use this mode in an emergency. System Will Be Shutdown;
  • Normal Shut Down - If this parameter is used, a dialog box is displayed prompting the user to close the applications. After saving user's data, System Will Be Shutdown;
  • Force Restart - Specifies whether applications with unsaved changes are to be forcibly closed. If this parameter is used, such applications are closed. If this parameter is not used, a dialog box is displayed prompting the user to close the applications. This can cause the applications to lose data. Therefore, you should only use this mode in an emergency. System Will Be Restarted;
  • Normal Restart - If this parameter is used, a dialog box is displayed prompting the user to close the applications. System Will Be Restarted;
  • Log off - If this parameter is not used, a dialog box is displayed prompting the user to close the applications. Shuts down all processes running in the security context of the current user. Then it logs the user off. Current User Will Be Logged Off.

When shutdown type was selected, press "Continue" button for start execution.

All process of execution of the tasks is in detail displayed in the "Actions" window.

See also:
Register Shutdown Folder Online
How is works


Company

Company Info

bar.gif (954 Bytes)
logo.png (13404 Bytes)

Handy Software Lab (HSLab), founded in 1998 as a wholly-owned business of a programming team, is focussed on the development, marketing, distribution and support of leading control and statistical software in a variety of application areas. Our software meets the needs of both corporate system administrators and home users. The company is capable of satisfy a consumer demand for high-quality and hi-tech software, at maintenance of secure online sales transactions, immediate delivery of a product and high-quality support. HSLab's award winning programs are feature-rich, designed with high-quality and extensive functionality, and presented in an easy-to-use graphical and powerfull command line interface designed to appeal to and fulfill the needs of administrators, power users and novices alike. HSLab is continually working to improve existing products, as well as to produce new ones to satisfy every specific customer's needs. Whether you are looking for innovative software or software for process-control, security, or statistical software, HSLab has products which will help you cope with the tasks you face.


Support

bar.gif (954 Bytes)
logo.png (13404 Bytes)

All of our programs have been fully tested prior to publishing, but if you find a bug, please inform us. We are appreciatively open to suggestions for program-functionality and user-interface improvements. If you have any such suggestions, we'd like to hear them.

About Support
Before you contact us, be sure to address the following: Look over what you are doing again and be sure you didn't miss a step or are doing something wrong. We can all be a bit inattentive at times. If that doesn't work, take a look at our help file and FAQ , it may already contain the answer to your question. Many people have "How To" questions, which can be already found there.

Contact our support service
If you don't find your answer there, visit our Updates page. You will find the latest version of our product there. If a serious bug has been found in our program and the new version is not ready yet, we will be happy to do a "hot fix" for it. If you still have a problem, contact technical support.

When Contacting Technical Support
In order to serve you properly, please have the following information available when you contact our support team.

  • Name, Company, Contact information.
  • Product serial number or your order number to verify support eligibility.
  • Product name, version and subversion.
  • Operating system, Network system.
  • A detailed description of the problem. You should be able to help us reproduce the problem if necessary.

See also:
Register Shutdown Folder Online
How is works
Company Home


Report a bug

bar.gif (954 Bytes)
logo.png (13404 Bytes)

We develop our software for real people so we shall appreciate any feedback from people who are interested in our products. So please feel free to send us your questions, comments, notes and offers by these contacts. Please take a moment to share your feelings, ideas and suggestions. Please feel free to contact us at the following addresses:

  • If you have problems at usage of our products, please inform Technical Support and Feedback:
    support@hs-lab.com     ;
  • If you have problems on sales of our products, please inform Sales department:
    sales@hs-lab.com     ;
  • The authors will be grateful for messages about bugs in the programs, for advice on improvement
    of functional capabilities and user interface! Please, send messages and comments on Bug report
    for developers:     bugs@hs-lab.com .

See also:
 Company Home
Support


END-USER LICENSE AGREEMENT FOR THIS SOFTWARE

END-USER LICENSE AGREEMENT

bar.gif (954 Bytes)
logo.png (13404 Bytes)

END-USER LICENSE AGREEMENT FOR OUR SOFTWARE

NOTICE TO USERS: CAREFULLY READ THE FOLLOWING LEGAL AGREEMENT. USE OF THE SOFTWARE PROVIDED WITH THIS AGREEMENT (THE "SOFTWARE")
CONSTITUTES YOUR ACCEPTANCE OF THESE TERMS. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL AND/OR USE THIS SOFTWARE. USER'S USE OF THIS SOFTWARE IS CONDITIONED UPON COMPLIANCE BY USER WITH THE TERMS OF THIS AGREEMENT.

LICENSE GRANT. Handy Software Lab (HSLab) grants you a license to use one copy of the version of this SOFTWARE on any one hardware product for as many licenses as you purchase. "You" means the company, entity or individual whose funds are used to pay the license fee. "Use" means storing, loading, installing, executing or displaying the SOFTWARE. You may not modify the SOFTWARE or disable any licensing or control features of the SOFTWARE except as an intended part of the SOFTWARE's programming features. When you first obtain a copy of the SOFTWARE, you are granted an evaluation period of not more than 30 days, after which time you must pay for the SOFTWARE according to the terms and prices discussed in the SOFTWARE's documentation, or you must remove the SOFTWARE from your computer. This license is not transferable to any other hardware product or other company, entity, or individual.

OWNERSHIP. The SOFTWARE is owned and copyrighted by HSLab. Your license confers no title or ownership in the SOFTWARE and should not be construed as a sale of any right in the SOFTWARE.

COPYRIGHT. The SOFTWARE is protected by United States copyright law and international treaty provisions. You acknowledge that no title to the intellectual property in the SOFTWARE is transferred to you. You further acknowledge that title and full ownership rights to the SOFTWARE will remain the exclusive property of HSLab and you will not acquire any rights to the SOFTWARE except as expressly set forth in this license. You agree that any copies of the SOFTWARE will contain the same proprietary notices which appear on and in the SOFTWARE.

REVERSE ENGINEERING. You agree that you will not attempt to reverse compile, modify, translate, or disassemble the SOFTWARE in whole or in part.

UNAUTHORIZED USE. You may not use, copy, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the SOFTWARE except as provided in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license.

BUNDLING. In no case may this product be bundled with hardware or other non-shareware software without written permission from HSLab .

All distribution of SOFTWARE is further restricted with regard to sources which also distribute virus source code and related virus construction/creation materials. The SOFTWARE may not be made available on any site, CD-ROM, or with any package which makes available or contains viruses, virus source code, virus construction programs, or virus creation material.

LIMITED WARRANTY. THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS. HSLab DISCLAIMS ALL WARRANTIES RELATING TO THIS SOFTWARE, WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. NEITHER [COMPANY] NOR ANYONE ELSE WHO HAS BEEN INVOLVED IN THE CREATION, PRODUCTION, OR DELIVERY OF THIS SOFTWARE SHALL BE LIABLE FOR ANY INDIRECT, CONSEQUENTIAL, OR INCIDENTAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE SUCH SOFTWARE, EVEN IF HSLab HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES OR CLAIMS. THE PERSON USING THE SOFTWARE BEARS ALL RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOFTWARE.

SOME JURISDICTIONS DO NOT ALLOW LIMITATION OR EXCLUSION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATIONS OR EXCLUSION MAY NOT APPLY TO YOU TO THE EXTENT THAT LIABILITY IS BY LAW INCAPABLE OF EXCLUSION OR RESTRICTION. IN NO EVENT SHALL ANY THEORY OF LIABILITY EXCEED THE LICENSE FEE PAID TO HSLab.

SEVERABILITY. In the event of invalidity of any provision of this license, the parties agree that such invalidity shall not affect the validity of the remaining portions of this license.

NO LIABILITY FOR CONSEQUENTIAL DAMAGES. IN NO EVENT SHALL HSLab OR ITS SUPPLIERS BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, SPECIAL, INCIDENTAL OR INDIRECT DAMAGES OF ANY KIND ARISING OUT OF THE DELIVERY, PERFORMANCE OR USE OF THE SOFTWARE, EVEN IF HSLab HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL HSLab's LIABILITY FOR ANY CLAIM, WHETHER IN CONTRACT, TORT OR ANY OTHER THEORY OF LIABILITY, EXCEED THE LICENSE FEE PAID BY YOU, IF ANY.

GOVERNING LAW. This agreement shall be governed by the laws of the State of US excluding the application of its conflicts of law rules and shall inure to the benefit of HSLab and any successors, administrators, heirs and assigns. Any action or proceeding brought by either party against the other arising out of or related to this agreement shall be brought only in a STATE or FEDERAL COURT of competent jurisdiction located in US County. The parties hereby consent to in personam jurisdiction of said courts. The United Nations Convention on Contracts for the International Sale of Goods is specifically disclaimed.

INSPECTION AND TESTING. You agree and acknowledge that you will thoroughly inspect and test the SOFTWARE for all of your purposes upon commencement of your use. Any suit or other legal action, claim or any arbitration relating in any way to this agreement or software covered by it must be officially filed or officially commenced no later than 90 days after your first use of the software.

ENTIRE AGREEMENT. This is the entire agreement between you and HSLab which supersedes any prior agreement or understanding, whether written or oral, relating to the subject matter of this license.

RESERVED RIGHTS. All rights not expressly granted here are reserved to HSLab.


Distribution of Evaluation Version

bar.gif (954 Bytes)
logo.png (13404 Bytes)

Provided that you verify that you are distributing the evaluation version you are hereby licensed to make as many copies of the evaluation version of this software and documentation as you wish; give exact copies of the original evaluation version to anyone; and distribute the evaluation version of the software and documentation in its unmodified form via electronic means. There is no charge for any of the above. You are specifically prohibited from charging, or requesting donations, for any such copies, however made; and from distributing the software and/or documentation with other products (commercial or otherwise) without prior written permission.

See also:
 END-USER LICENSE AGREEMENT


Why Register?

bar.gif (954 Bytes)
logo.png (13404 Bytes)

YOU REGISTER Our Software...

...because as a registered user you:

  • may use software in commercial and other environments;
  • access free support and assistance;
  • gain the right to use ALL future minor software releases(see update policy ), on the all OS platforms;
  • encourage the company to further develop and improve software, making possible new product's releases.
    Also, gain access to updates area of HSLab Web Site .
Refunds:All of our shareware programs can be fully tested prior to registration. Accordingly, there are no refunds once you have received your registration information.

See also:
Register Shutdown Folder Online
Unregistered version limitations


Unregistered version limitations

bar.gif (954 Bytes)
logo.png (13404 Bytes)

The unregistered copy of the program has all the functionality of the registered copy, except for the following minor limitation: the operating time of the unregistered copy is limited, and you should register the program before the expiration of the 15-day time trial period, or to refuse its use.If you wish to have full functionality without any limitation - please, register.

See also:
 Why Register?
 Register Shutdown Folder Online


Register Online

bar.gif (954 Bytes)
logo.png (13404 Bytes)

Our software can be ordered online at any time. Once you have purchased a product by filling in its online order form, a license key will be sent you via email to unlock the software for use. Most forms of payment are accepted (credit cards, bills, invoice payments, mail, fax, phone orders, etc). Term of processing of the order - no more than two working days (usually, just a few hours). For registering software online you should browse to our company site.

Want to receive the free-of-charge license ? Contact to us and learn about details.

See also:
Why Register?


Enter Registration Code

bar.gif (954 Bytes)
logo.png (13404 Bytes)

To Register the program, open the "Registration Code" window, You can find it via the menu path "Help"->"Enter Registration Code" or "See Also"->"Enter Registration Code".

Then, open the e-mail message containing the registration code and Right-click the message to display the pop up menu. Select the Select All command there (the last menu item). The menu will disappear, and this message will change its color (become selected). Then display the pop up menu again and select the Copy command (the 3rd item from the top). Now go to the program again and click the "Paste From Clipboard" button in the "Enter Registration Code" window.

Then press "Register!".

Finally exit the application and run the program again (if the registration program has not made it automatically). You should find a 'Registered' string on a splash screen or a "About" dialog. If so, all shareware restrictions are automatically removed from your version.

See also:
Why Register?


Awards

Company Awards

bar.gif (954 Bytes)
logo.png (13404 Bytes)

Our products can be found in any archive of programs. Our programs were repeatedly
awarded with different organizations.
simple_the_best.gif (6734 bytes) | 5stars-file_transit.gif (5181 bytes) | cool-list-soft.gif (3202 bytes) list-soft-user-choice.gif (3495 bytes) list-soft-good.gif (3337 bytes) |  |
soft-list-wow.gif (1671 bytes) | softarea-good.gif (998 bytes) |  | 5stars-file_transit.gif (5181 bytes) | useful_software_eng1000.gif (2259 bytes)


Why this Software?

bar.gif (954 Bytes)
logo.png (13404 Bytes)

The program has very rich futures and flexible options for manual and automatic shutdown Windows and for very moderate cost. Besides the program eliminates serious inconvenience in Windows - impossibility to execute any operations before shutdown.

It is original contrast for "Startup" folder - "Shutdown" folder. For certain you more than once thought, that would be good and conveniently to clean unnecessary files, "history" in Internet Explorer and still much, remaining after your work with the computer. Now it is a reality! Our product HSLAB Shutdown Folder will helps you in it.

Now, before shutdown you can start any programs, making shortcuts for them in "Shutdown Folder", you can start batch files *.bat and *.cmd! Now, with the HSLAB Shutdown Folder you can all!

See also:
Register Shutdown Folder Online
What is it
How it works